Why do I get "not supported on this architecture" when using Quicken Essentials?



Overview

You might receive the following message when attempting to use Quicken Essentials:

Not supported on this architecture.

Cause

This error is caused by attempting to use Quicken Essentials for Mac on the PowerPC architecture.

Information

Quicken Essentials is not supported on PowerPC.

View the system requirements here.

If you wish to use Quicken on your current architecture, please see if Quicken 2007 is right for you.

Search Support:

Search form

Tip: To find out which version of Quicken you are using, open Quicken go to Help menu and select About Quicken.